Bug 249996 - Review Request: perl-File-chmod - perl module implementing symbolic and ls chmod modes
Review Request: perl-File-chmod - perl module implementing symbolic and ls ch...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 249807
  Show dependency treegraph
 
Reported: 2007-07-29 02:32 EDT by Ralf Corsepius
Modified: 2014-01-21 14:28 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-06 10:26:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2007-07-29 02:32:39 EDT
Spec URL: http://corsepiu.fedorapeople.org/packages/perl-File-chmod.spec
SRPM URL: http://corsepiu.fedorapeople.org/packages/perl-File-chmod-0.32-1.fc8.src.rpm
Description: Perl dist implementing symbolic and ls chmod modes

This perl-module is a prerequisite to be able to upgrade perl-Test-Inline.


Special thanks to J. Pinyan (File::chmod maintainer), 
M. Schwern and A. Kennedy (Test::Inline maintainers)
for having changed File::chmod's licensing upon request, 
remarkably fast in a way, such that File::chmod now can be 
shipped with Fedora. Thank you, guys!
Comment 1 Jason Tibbitts 2007-07-29 14:07:11 EDT
Looks clean and builds fine; there's not much to say.  The description is a bit
thin but I don't think it's a blocker.

* source files match upstream:
   ec54997c4274ca27e8e8d25585223569b15b16ed2bfdf5d0507c57787d6d05a9  
   File-chmod-0.32.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(File::chmod) = 0.32
   perl-File-chmod = 0.32-1.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Exporter)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   ok 1
   original state of chmod.pm: 00644
   calling: chmod('+x', 'chmod.pm')... chmod.pm: 00755
   calling: chmod('-x', 'chmod.pm')... chmod.pm: 00644
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Ralf Corsepius 2007-07-30 23:36:25 EDT
New Package CVS Request
=======================
Package Name: perl-File-chmod
Short Description: Implementing symbolic and ls chmod modes
Owners: rc040203@freenet.de
Branches: F-7 FC-6
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Kevin Fenzi 2007-07-31 01:48:11 EDT
cvs done.
Comment 4 Ralf Corsepius 2007-08-06 10:26:49 EDT
Whom do I need to bribe to have this package released?
Comment 5 Jesse Keating 2007-08-06 10:52:09 EDT
Ralf, you'd need to click "Push to testing" or "Push to stable" in your bodhi
update page:
https://admin.fedoraproject.org/updates/pending/F7/perl-File-chmod-0.32-1.fc7

I'll do it for you to -testing.
Comment 6 Ralf Corsepius 2007-08-06 11:09:36 EDT
(In reply to comment #5)
> Ralf, you'd need to click "Push to testing" or "Push to stable" in your bodhi
> update page:
> https://admin.fedoraproject.org/updates/pending/F7/perl-File-chmod-0.32-1.fc7
I can't find any such buttons on this page nor can I find any online help nor
online documentation on this bureaucratic act you want me to execute available.


Comment 7 Jesse Keating 2007-08-06 11:18:47 EDT
You don't see the links because I already did it for you as I stated in my entry.

The documentation on how to use it is at
http://fedoraproject.org/wiki/PackageMaintainers/UpdatingPackageHowTo along with
all the other documentation we're trying to gather for Package Maintainers. 
Hopefully Luke is done with his move and can process some of the feature
requests, like having a help link that leads you to this documentation from
within bodhi itself.

And is it really "bureaucratic" for you to choose whether you want this update
item you created to be pushed to testing or stable?  Come on Ralf, lighten up.
Comment 8 Ralf Corsepius 2007-08-06 11:30:14 EDT
(In reply to comment #7)

> And is it really "bureaucratic" for you to choose whether you want this update
> item you created to be pushed to testing or stable?
Yes, it is. Anything beyond a "make release" or similar as part of the CVS tree
is bureaucratic and insane.

>  Come on Ralf, lighten up.
Stop killing Fedora by implementing more and more bureaucratic hurdles and
forcing us to use unusable web-applications.


Comment 9 Lubomir Rintel 2014-01-21 12:54:16 EST
Package Change Request
======================
Package Name: perl-File-chmod
New Branches: epel7
Owners: lkundrak

The Fedora maintainer (Ralf Corsepius, corsepiu) is not willing to maintain EPEL packages.
Comment 10 Gwyn Ciesla 2014-01-21 13:06:15 EST
Git done (by process-git-requests).
Comment 11 Ralf Corsepius 2014-01-21 13:14:02 EST
(In reply to Lubomir Rintel from comment #9)
> The Fedora maintainer (Ralf Corsepius, corsepiu) is not willing to maintain
> EPEL packages.

This is a misunderstanding: I saying thanks to the fact RH is not providing freely accessible RHEL binary distributions, it's impossible for people who do not have a RHEL-contract (like me) to build, test and maintain EPEL packages.

Note You need to log in before you can comment on or make changes to this bug.